import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CrMsgLog } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-14 17:08
 */
interface CrMsgLogCU extends ConditionUtil<CrMsgLogCU> {
    CREATE_TIME: FieldUtil<CrMsgLogCU>;
    UUID: FieldUtil<CrMsgLogCU>;
    MSG_CONTENT: FieldUtil<CrMsgLogCU>;
    TOPIC: FieldUtil<CrMsgLogCU>;
}
declare class CrMsgLogMU extends TableUtilImpl<CrMsgLogCU, CrMsgLog> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CrMsgLogCU;
    static get CREATE_TIME(): FieldUtil<CrMsgLogCU>;
    static get UUID(): FieldUtil<CrMsgLogCU>;
    static get MSG_CONTENT(): FieldUtil<CrMsgLogCU>;
    static get TOPIC(): FieldUtil<CrMsgLogCU>;
    get CREATE_TIME(): FieldUtil<CrMsgLogCU>;
    get UUID(): FieldUtil<CrMsgLogCU>;
    get MSG_CONTENT(): FieldUtil<CrMsgLogCU>;
    get TOPIC(): FieldUtil<CrMsgLogCU>;
}
export { CrMsgLogMU, CrMsgLogCU };
